<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:06 AEST 2019 -->
<title>ChangeSet (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ChangeSet (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/history/changeset/BlockOptimizedHistory.html" title="class in com.sk89q.worldedit.history.changeset"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/history/changeset/ChangeSet.html" target="_top">Frames</a></li>
<li><a href="ChangeSet.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.history.changeset</div>
<h2 title="Interface ChangeSet" class="title">Interface ChangeSet</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/history/changeset/ArrayListHistory.html" title="class in com.sk89q.worldedit.history.changeset">ArrayListHistory</a>, <a href="../../../../../com/sk89q/worldedit/history/changeset/BlockOptimizedHistory.html" title="class in com.sk89q.worldedit.history.changeset">BlockOptimizedHistory</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">ChangeSet</span></pre>
<div class="block">Tracks a set of undoable operations and allows their undo and redo. The
 entirety of a change set should be undone and redone at once.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/history/changeset/ChangeSet.html#add-com.sk89q.worldedit.history.change.Change-">add</a></span>(<a href="../../../../../com/sk89q/worldedit/history/change/Change.html" title="interface in com.sk89q.worldedit.history.change">Change</a>&nbsp;change)</code>
<div class="block">Add the given change to the history.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.Iterator&lt;<a href="../../../../../com/sk89q/worldedit/history/change/Change.html" title="interface in com.sk89q.worldedit.history.change">Change</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/history/changeset/ChangeSet.html#backwardIterator--">backwardIterator</a></span>()</code>
<div class="block">Get a backward directed iterator that can be used for undo.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.Iterator&lt;<a href="../../../../../com/sk89q/worldedit/history/change/Change.html" title="interface in com.sk89q.worldedit.history.change">Change</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/history/changeset/ChangeSet.html#forwardIterator--">forwardIterator</a></span>()</code>
<div class="block">Get a forward directed iterator that can be used for redo.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/history/changeset/ChangeSet.html#isRecordingChanges--">isRecordingChanges</a></span>()</code>
<div class="block">Whether or not the ChangeSet is recording changes.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/history/changeset/ChangeSet.html#setRecordChanges-boolean-">setRecordChanges</a></span>(boolean&nbsp;recordChanges)</code>
<div class="block">Tell the change set whether to record changes or not.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/history/changeset/ChangeSet.html#size--">size</a></span>()</code>
<div class="block">Get the number of stored changes.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="add-com.sk89q.worldedit.history.change.Change-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre>void&nbsp;add(<a href="../../../../../com/sk89q/worldedit/history/change/Change.html" title="interface in com.sk89q.worldedit.history.change">Change</a>&nbsp;change)</pre>
<div class="block">Add the given change to the history.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>change</code> - the change</dd>
</dl>
</li>
</ul>
<a name="isRecordingChanges--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRecordingChanges</h4>
<pre>boolean&nbsp;isRecordingChanges()</pre>
<div class="block">Whether or not the ChangeSet is recording changes.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether or not the ChangeSet is set to record changes</dd>
</dl>
</li>
</ul>
<a name="setRecordChanges-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRecordChanges</h4>
<pre>void&nbsp;setRecordChanges(boolean&nbsp;recordChanges)</pre>
<div class="block">Tell the change set whether to record changes or not.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>recordChanges</code> - whether to record changes or not</dd>
</dl>
</li>
</ul>
<a name="backwardIterator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>backwardIterator</h4>
<pre>java.util.Iterator&lt;<a href="../../../../../com/sk89q/worldedit/history/change/Change.html" title="interface in com.sk89q.worldedit.history.change">Change</a>&gt;&nbsp;backwardIterator()</pre>
<div class="block">Get a backward directed iterator that can be used for undo.

 <p>The iterator may return the changes out of order, as long as the final
 result after all changes have been applied is correct.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a undo directed iterator</dd>
</dl>
</li>
</ul>
<a name="forwardIterator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>forwardIterator</h4>
<pre>java.util.Iterator&lt;<a href="../../../../../com/sk89q/worldedit/history/change/Change.html" title="interface in com.sk89q.worldedit.history.change">Change</a>&gt;&nbsp;forwardIterator()</pre>
<div class="block">Get a forward directed iterator that can be used for redo.

 <p>The iterator may return the changes out of order, as long as the final
 result after all changes have been applied is correct.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a forward directed iterator</dd>
</dl>
</li>
</ul>
<a name="size--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>size</h4>
<pre>int&nbsp;size()</pre>
<div class="block">Get the number of stored changes.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the change count</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/history/changeset/BlockOptimizedHistory.html" title="class in com.sk89q.worldedit.history.changeset"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/history/changeset/ChangeSet.html" target="_top">Frames</a></li>
<li><a href="ChangeSet.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
